> ## Documentation Index
> Fetch the complete documentation index at: https://agnt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# User's Details

> Return User Details



## OpenAPI

````yaml /openapi/tiktok.openapi.json get /v1/data/tiktok/user/details
openapi: 3.0.0
info:
  title: agntdata TikTok API
  description: >-
    Robust and easy-to-use TikTok API providing extensive TikTok user profiles,
    in-depth TikTok video insights, and trending TikTok content. The API enables
    powerful search capabilities across TikTok users, videos, sounds, and
    hashtags, making it ideal for deep TikTok analytics and audience engagement
    insights.
  version: 1.0.0
  contact:
    name: agntdata
    url: https://agntdata.dev
servers:
  - url: https://api.agntdata.dev
    description: agntdata API
security:
  - ApiKeyAuth: []
tags:
  - name: User
    description: ''
  - name: Video
    description: ''
  - name: Search
    description: ''
  - name: Collections
    description: ''
paths:
  /v1/data/tiktok/user/details:
    get:
      tags:
        - User
      summary: User's Details
      description: Return User Details
      operationId: User_s_Details
      parameters:
        - name: username
          in: query
          required: true
          schema:
            type: string
            default: mrbeast
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get_tiktok_user_details_Response'
              example:
                username: mrbeast
                user_id: '6614519312189947909'
                profile_image: >-
                  https://p19-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/54435a1ec165931f60f2a3872de74aa5~c5_1080x1080.jpeg?x-expires=1664816400&x-signature=JoBKISbZ5pjbPTw7q6%2FVzJK5wn8%3D
                following: 241
                followers: 46300000
                total_videos: 249
                total_heart: 487600000
                verified: true
                description: apply :)
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get_tiktok_user_details_Response422'
              example:
                detail:
                  - loc: []
                    msg: ''
                    type: ''
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Get_tiktok_user_details_Response:
      type: object
      properties:
        username:
          type: string
        user_id:
          type: string
        profile_image:
          type: string
        following:
          type: integer
        followers:
          type: integer
        total_videos:
          type: integer
        total_heart:
          type: integer
        verified:
          type: boolean
        description:
          type: string
    Get_tiktok_user_details_Response422:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            title: ValidationError
            required:
              - loc
              - msg
              - type
            type: object
            properties:
              loc:
                title: Location
                type: array
                items:
                  type: string
              msg:
                title: Message
                type: string
              type:
                title: Error Type
                type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Bearer token. Pass your agntdata API key as: Authorization: Bearer
        agnt_live_...

````